#3941 closed task (fixed)

Remove epiphany architecture support

Reported by: Sebastian Huber Owned by: Hesham Almatary
Priority: normal Milestone: 6.1
Component: arch/epiphany Version: 6
Severity: normal Keywords:
Cc: Blocked By: #3974
Blocking: #4022

Description

I tried to build the epiphany BSP with GCC 10 recently and a lot internal compiler errors appeared. If it is not possible to build the BSP with a released GCC 10.1, then I suggest to remove this architecture. The GDB was never supported by the FSF upstream. To me this looks like an unmaintained architecture.

Change History (11)

comment:1 Changed on Apr 8, 2020 at 10:19:55 AM by Hesham Almatary

I think the development of the Ephipany architecture and its toolchain is already seized. In this case, yes I agree it should be deleted.

comment:2 Changed on Apr 8, 2020 at 10:21:31 AM by Sebastian Huber

Ok, good. You can still use RTEMS 5 for it. If necessary, the port can be resurrected from this release.

comment:3 Changed on Apr 8, 2020 at 12:07:31 PM by Joel Sherrill

You can't build rtems5 for epiphany. Mongoose.c has long caused an ICE. GCC has just gotten worse. Removing it after the release is ok by me.

comment:4 Changed on May 7, 2020 at 4:36:41 AM by Sebastian Huber

Blocked By: 3974 added

comment:5 Changed on Jul 3, 2020 at 5:42:51 AM by Sebastian Huber

Blocking: 4022 added

comment:6 Changed on Jul 5, 2020 at 4:05:54 PM by Sebastian Huber <sebastian.huber@…>

In 401b237/rtems:

epiphany: Remove support for this target

Due to an unmaintained toolchain (internal errors in GCC, no FSF GDB
integration) the Epiphany architecture was obsoleted in RTEMS 5.1.

Update #3941.

comment:7 Changed on Jul 5, 2020 at 4:06:19 PM by Sebastian Huber <sebastian.huber@…>

In 2df6f90/rtems-docs:

Reflect removal of the epiphany target

Update #3941.

comment:8 Changed on Jul 5, 2020 at 4:06:39 PM by Sebastian Huber <sebastian.huber@…>

In dcceead/rtems-tools:

Remove support for epiphany target

Update #3941.

comment:9 Changed on Jul 5, 2020 at 4:07:55 PM by Sebastian Huber <sebastian.huber@…>

In 7f79fe9/rtems-source-builder:

6/7: Remove support for epiphany target

Update #3941.

comment:10 Changed on Jul 5, 2020 at 6:46:17 PM by Sebastian Huber <sebastian.huber@…>

In d76e7c1/rtems:

build: Fix RTEMS_CHECK_NETWORKING

Update #3941.

comment:11 Changed on Jul 7, 2020 at 1:01:53 PM by Sebastian Huber

Resolution: fixed
Status: assignedclosed

I updated also the release notes.

Note: See TracTickets for help on using tickets.